# Interface UnsubscribeMessage

A message to allow a client to unsubscribe from data updates from a signalk server

interface UnsubscribeMessage {
context: "*";
unsubscribe: [{ path: "*" }];
}

- Defined in subscriptionmanager.ts:85

##### Index

### Properties

context
unsubscribe

## Properties

### context

context: "*"

The root path for all subsequent paths, usually a vessel's path.

Note

Currently only `*` is supported for the context.

- Defined in subscriptionmanager.ts:92

### unsubscribe

unsubscribe: [{ path: "*" }]

An array of paths to unsubscribe from.

Note

Currently only one entry is supported, and it must have `"path": "*"`.

- Defined in subscriptionmanager.ts:100